package com.kiisoo.ic.activity.service;

import com.kiisoo.ic.activity.bean.ActivityInstanceVO;
import com.kiisoo.ic.activity.entity.PmnActivityInstance;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 活动实例表 服务类
 * </p>
 *
 * @author zheng
 * @since 2020-05-19
 */
public interface IPmnActivityInstanceService extends IService<PmnActivityInstance> {

    boolean saveVO(ActivityInstanceVO activityInstanceVO, boolean isTerminate);

    boolean saveWelcome(ActivityInstanceVO activityInstanceVO);

    ActivityInstanceVO getVO(Long id);

    Map<String, Object> pageVO(Long userId, Date startDate, Date endDate, Long organizationId, Long storeId, Integer status, String categoryCode, Integer pageNum, Integer pageSize, Date beginTime, Date endTime);

    boolean removeInstance(Long id);

    boolean removeWelcome(Long id);

    List<ActivityInstanceVO> listByStoreId(Long storeId, Integer status, Date beginTime, Date endTime);

    void scanValidAndSet();
    void scanInvalidAndSer();
}
